Ligand.Reaction (BioJava-1.5-beta API)
Keywords: org.biojava.bio.program.formats.Ligand.Reaction class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.formats
Class Ligand.Reaction

    java.lang.Object
      org.biojava.bio.program.formats.Ligand.Reaction

All Implemented Interfaces:
  Format

Enclosing class:
  Ligand

    public static class Ligand.Reaction

extends Object
implements Format

Constructor Summary
`Ligand.Reaction()`

Method Summary
`LifeScienceIdentifier` | `getLSID()` Retrieve the LSID associated with this format.
`ParserListener` | `getParserListener(TagValueListener listener)` Retrieve a ParserListener pair for the format that will pass all events on to a listener.
`AnnotationType` | `getType()` Get the AnnotationType that constrains the events that will be fired.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Ligand.Reaction

    public Ligand.Reaction()

Method Detail

### getParserListener

    public ParserListener getParserListener(TagValueListener listener)

  Description copied from interface: `Format`
  Retrieve a ParserListener pair for the format that will pass all events on to a listener.

  Specified by:
    `getParserListener` in interface `Format`
  Parameters:
    `listener` - a TagValueListener that all events should be passed onto
  Returns:
    a ParserListener for the format

### getType

    public AnnotationType getType()

  Description copied from interface: `Format`
  Get the AnnotationType that constrains the events that will be fired.

  Specified by:
    `getType` in interface `Format`
  Returns:
    an AnnotationType representingchema for the events

### getLSID

    public LifeScienceIdentifier getLSID()

  Description copied from interface: `Format`
  Retrieve the LSID associated with this format.

  The OBDA recomends taht file formats have identifiers assopciated with them. This allows the format to be specified unambiguously across different projects and groups. Idealy, a format LSID should conform to the odda formats specification.

  Specified by:
    `getLSID` in interface `Format`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD